Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractPatternNamedNumber

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractPatternNamedNumber

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractPatternNamedNumber extends IdTitle
Именованный порядковый параметр шаблона имени договора.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ContractPatternNamedNumber.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractPatternNamedNumber()`
  `ContractPatternNamedNumber(String title, String comment, int index, int countNumber)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ContractPatternNamedNumber.Builder`
  `builder()`
  `String`
  `getComment()`
  `int`
  `getCountNumber()`
  `int`
  `getIndex()`
  `void`
  `setComment(String comment)`
  `void`
  `setCountNumber(int countNumber)`
  `void`
  `setIndex(int index)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractPatternNamedNumber

    public ContractPatternNamedNumber()

  - ### ContractPatternNamedNumber

    public ContractPatternNamedNumber(String title, String comment, int index, int countNumber)

- ## Method Details

  - ### getIndex

    public int getIndex()

  - ### setIndex

    public void setIndex(int index)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getCountNumber

    public int getCountNumber()

  - ### setCountNumber

    public void setCountNumber(int countNumber)

  - ### builder

    public static ContractPatternNamedNumber.Builder builder()